> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stored MMR history by PUUID (v2)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/by-puuid/stored-mmr-history/{affinity}/{platform}/{puuid}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v2/by-puuid/stored-mmr-history/{affinity}/{platform}/{puuid}:
    get:
      tags:
        - valorant
      summary: Get stored MMR history by PUUID (v2)
      operationId: stored_mmr_history_v2_by_id
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: platform
          in: path
          description: Platform (pc, console)
          required: true
          schema:
            type: string
        - name: puuid
          in: path
          description: Player UUID
          required: true
          schema:
            type: string
        - name: size
          in: query
          description: Number of results (optional)
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Stored MMR history retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoredMMRV2Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    StoredMMRV2Response:
      type: object
      required:
        - status
        - results
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/StoredMMRV2'
        results:
          $ref: '#/components/schemas/Pagination'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    StoredMMRV2:
      type: object
      required:
        - tier
        - match_id
        - map
        - season
        - rr
        - last_change
        - elo
        - refunded_rr
        - was_derank_protected
        - date
      properties:
        date:
          type: string
        elo:
          type: integer
          format: int32
        last_change:
          type: integer
          format: int32
        map:
          $ref: '#/components/schemas/MapIdNameCombo'
        match_id:
          type: string
        refunded_rr:
          type: integer
          format: int32
        rr:
          type: integer
          format: int32
        season:
          $ref: '#/components/schemas/SeasonIdShortCombo'
        tier:
          $ref: '#/components/schemas/TierIdNameCombo'
        was_derank_protected:
          type: boolean
    Pagination:
      type: object
      required:
        - total
        - returned
        - before
        - after
      properties:
        after:
          type: integer
          format: int32
        before:
          type: integer
          format: int32
        returned:
          type: integer
          format: int32
        total:
          type: integer
          format: int32
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    MapIdNameCombo:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    SeasonIdShortCombo:
      type: object
      required:
        - id
        - short
      properties:
        id:
          type: string
        short:
          type: string
    TierIdNameCombo:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string

````